/**
 * Created by luyanan on 18/8/13.
 */
// 跳转xttjpt
export const comUrl = process.env.BASE_API + '/admin'

/**
 * default img
 */
export const defaultSet = {
  img: {
    user: '/static/comimg/default-expert.jpg'
  }
}

/**
 * 解析url参数
 * @example ?id=12345&a=b
 * @return Object {id:12345,a:b}
 */
export function urlParse(name) {
  return decodeURIComponent((new RegExp('[?|&]' + name + '=' + '([^&;]+?)(&|#|;|$)').exec(location.href) || ['', ''])[1].replace(/\+/g, '%20')) || null
}

export function trimStr(str) {
  return str.replace(/(^\s*)|(\s*$)/g, '')
}

export function parseTime(date, flag) {
  if (flag) {
    return date.substring(0, 4) + '年' + date.substring(4, 6) + '月' + date.substring(6, 8) + '日 ' + date.substring(8, 10) + ':' + date.substring(10, 12) + ':' + date.substring(12, 14)
  } else {
    return date.substring(0, 4) + '/' + date.substring(4, 6) + '/' + date.substring(6, 8) + ' ' + date.substring(8, 10) + ':' + date.substring(10, 12) + ':' + date.substring(12, 14)
  }
}

/**
 * String与Array之间的转换
 */
export function strToArr(str) {
  var subs = []
  if (str) {
    if (str.indexOf(',')) {
      subs = str.split(',')
    } else {
      subs[0] = str
    }
    return subs
  } else {
    return subs
  }
}
export function arrToStr(arr) {
  var strs = ''
  if (arr) {
    strs = arr.join(',')
    return strs
  } else {
    return strs
  }
}
export const type = {
  '1': '平台新闻',
  '2': '采访专栏',
  '3': '政策法规',
  '4': '通知公告'
}
